package com.muyu.task.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.common.domian.Node;
import com.muyu.common.domian.req.NodeListReq;
import com.muyu.task.server.mapper.NodeMapper;
import com.muyu.task.server.service.NodeService;
import org.springframework.stereotype.Service;

@Service
public class NodeServiceImpl extends ServiceImpl<NodeMapper, Node> implements NodeService {
    @Override
    public Page<Node> findList(NodeListReq req) {
        LambdaQueryWrapper<Node> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(StringUtils.isNotEmpty(req.getNodeName()), Node::getNodeName, req.getNodeName());
        Page<Node> page = new Page<>(req.getPageNum(), req.getPageSize());
        return this.page(page, wrapper);
    }
}
